twitter4j

## Interface Twitter

All Superinterfaces:
  DirectMessagesResources, FavoritesResources, FriendsFollowersResources, HelpResources, ListsResources, OAuth2Support, OAuthSupport, PlacesGeoResources, SavedSearchesResources, SearchResource, Serializable, SpamReportingResource, SuggestedUsersResources, TimelinesResources, TrendsResources, TweetsResources, TwitterBase, UsersResources

    public interface Twitter
    extends Serializable, OAuthSupport, OAuth2Support, TwitterBase, TimelinesResources, TweetsResources, SearchResource, DirectMessagesResources, FriendsFollowersResources, UsersResources, SuggestedUsersResources, FavoritesResources, ListsResources, SavedSearchesResources, PlacesGeoResources, TrendsResources, SpamReportingResource, HelpResources

Since:
  Twitter4J 2.2.0
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Nested Class Summary

### Nested classes/interfaces inherited from interface twitter4j.api.HelpResources

`HelpResources.Language`

### Method Summary

All Methods Instance Methods Abstract Methods
`DirectMessagesResources` `directMessages()`
`FavoritesResources` `favorites()`
`FriendsFollowersResources` `friendsFollowers()`
`HelpResources` `help()`
`ListsResources` `list()`
`PlacesGeoResources` `placesGeo()`
`SavedSearchesResources` `savedSearches()`
`SearchResource` `search()`
`SpamReportingResource` `spamReporting()`
`SuggestedUsersResources` `suggestedUsers()`
`TimelinesResources` `timelines()`
`TrendsResources` `trends()`
`TweetsResources` `tweets()`
`UsersResources` `users()`

### Methods inherited from interface twitter4j.auth.OAuthSupport

`getOAuthAccessToken, getOAuthAccessToken, getOAuthAccessToken, getOAuthAccessToken, getOAuthAccessToken, getOAuthRequestToken, getOAuthRequestToken, getOAuthRequestToken, getOAuthRequestToken, setOAuthAccessToken, setOAuthConsumer`

### Methods inherited from interface twitter4j.auth.OAuth2Support

`getOAuth2Token, invalidateOAuth2Token, setOAuth2Token, setOAuthConsumer`

### Methods inherited from interface twitter4j.TwitterBase

`addRateLimitStatusListener, getAuthorization, getConfiguration, getId, getScreenName, onRateLimitReached, onRateLimitStatus`

### Methods inherited from interface twitter4j.api.TimelinesResources

`getHomeTimeline, getHomeTimeline, getMentionsTimeline, getMentionsTimeline, getRetweetsOfMe, getRetweetsOfMe, getUserTimeline, getUserTimeline, getUserTimeline, getUserTimeline, getUserTimeline, getUserTimeline`

### Methods inherited from interface twitter4j.api.TweetsResources

`destroyStatus, getOEmbed, getRetweeterIds, getRetweeterIds, getRetweets, lookup, retweetStatus, showStatus, unRetweetStatus, updateStatus, updateStatus, uploadMedia, uploadMedia, uploadMediaChunked`

### Methods inherited from interface twitter4j.api.SearchResource

`search`

### Methods inherited from interface twitter4j.api.DirectMessagesResources

`destroyDirectMessage, getDirectMessages, getDirectMessages, getDirectMessages, getDirectMessages, getDMImageAsStream, getSentDirectMessages, getSentDirectMessages, sendDirectMessage, sendDirectMessage, sendDirectMessage, showDirectMessage`

### Methods inherited from interface twitter4j.api.FriendsFollowersResources

`createFriendship, createFriendship, createFriendship, createFriendship, destroyFriendship, destroyFriendship, getFollowersIDs, getFollowersIDs, getFollowersIDs, getFollowersIDs, getFollowersIDs, getFollowersList, getFollowersList, getFollowersList, getFollowersList, getFollowersList, getFollowersList, getFriendsIDs, getFriendsIDs, getFriendsIDs, getFriendsIDs, getFriendsIDs, getFriendsList, getFriendsList, getFriendsList, getFriendsList, getFriendsList, getFriendsList, getIncomingFriendships, getNoRetweetsFriendships, getOutgoingFriendships, lookupFriendships, lookupFriendships, showFriendship, showFriendship, updateFriendship, updateFriendship`

### Methods inherited from interface twitter4j.api.UsersResources

`createBlock, createBlock, createMute, createMute, destroyBlock, destroyBlock, destroyMute, destroyMute, getAccountSettings, getBlocksIDs, getBlocksIDs, getBlocksList, getBlocksList, getContributees, getContributees, getContributors, getContributors, getMutesIDs, getMutesList, lookupUsers, lookupUsers, removeProfileBanner, searchUsers, showUser, showUser, updateAccountSettings, updateAllowDmsFrom, updateProfile, updateProfileBackgroundImage, updateProfileBackgroundImage, updateProfileBanner, updateProfileBanner, updateProfileColors, updateProfileImage, updateProfileImage, verifyCredentials`

### Methods inherited from interface twitter4j.api.SuggestedUsersResources

`getMemberSuggestions, getSuggestedUserCategories, getUserSuggestions`

### Methods inherited from interface twitter4j.api.FavoritesResources

`createFavorite, destroyFavorite, getFavorites, getFavorites, getFavorites, getFavorites, getFavorites, getFavorites`

### Methods inherited from interface twitter4j.api.ListsResources

`createUserList, createUserListMember, createUserListMember, createUserListMember, createUserListMembers, createUserListMembers, createUserListMembers, createUserListMembers, createUserListMembers, createUserListMembers, createUserListSubscription, createUserListSubscription, createUserListSubscription, destroyUserList, destroyUserList, destroyUserList, destroyUserListMember, destroyUserListMember, destroyUserListMember, destroyUserListMember, destroyUserListMembers, destroyUserListMembers, destroyUserListMembers, destroyUserListSubscription, destroyUserListSubscription, destroyUserListSubscription, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMembers, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserListMemberships, getUserLists, getUserLists, getUserLists, getUserLists, getUserListsOwnerships, getUserListsOwnerships, getUserListsOwnerships, getUserListsOwnerships, getUserListStatuses, getUserListStatuses, getUserListStatuses, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscribers, getUserListSubscriptions, getUserListSubscriptions, getUserListSubscriptions, getUserListSubscriptions, showUserList, showUserList, showUserList, showUserListMembership, showUserListMembership, showUserListMembership, showUserListSubscription, showUserListSubscription, showUserListSubscription, updateUserList, updateUserList, updateUserList`

### Methods inherited from interface twitter4j.api.SavedSearchesResources

`createSavedSearch, destroySavedSearch, getSavedSearches, showSavedSearch`

### Methods inherited from interface twitter4j.api.PlacesGeoResources

`getGeoDetails, getSimilarPlaces, reverseGeoCode, searchPlaces`

### Methods inherited from interface twitter4j.api.TrendsResources

`getAvailableTrends, getClosestTrends, getPlaceTrends`

### Methods inherited from interface twitter4j.api.SpamReportingResource

`reportSpam, reportSpam`

### Methods inherited from interface twitter4j.api.HelpResources

`getAPIConfiguration, getLanguages, getPrivacyPolicy, getRateLimitStatus, getRateLimitStatus, getTermsOfService`

### Method Detail

#### timelines

    TimelinesResources timelines()

Returns:
  `TimelinesResources`
Since:
  Twitter4J 3.0.4

#### tweets

    TweetsResources tweets()

Returns:
  `TweetsResources`
Since:
  Twitter4J 3.0.4

#### search

    SearchResource search()

Returns:
  `SearchResource`
Since:
  Twitter4J 3.0.4

#### directMessages

    DirectMessagesResources directMessages()

Returns:
  `DirectMessagesResources`
Since:
  Twitter4J 3.0.4

#### friendsFollowers

    FriendsFollowersResources friendsFollowers()

Returns:
  `FriendsFollowersResources`
Since:
  Twitter4J 3.0.4

#### users

    UsersResources users()

Returns:
  `UsersResources`
Since:
  Twitter4J 3.0.4

#### suggestedUsers

    SuggestedUsersResources suggestedUsers()

Returns:
  `SuggestedUsersResources`
Since:
  Twitter4J 3.0.4

#### favorites

    FavoritesResources favorites()

Returns:
  `FavoritesResources`
Since:
  Twitter4J 3.0.4

#### list

    ListsResources list()

Returns:
  `ListsResources`
Since:
  Twitter4J 3.0.4

#### savedSearches

    SavedSearchesResources savedSearches()

Returns:
  `SavedSearchesResources`
Since:
  Twitter4J 3.0.4

#### placesGeo

    PlacesGeoResources placesGeo()

Returns:
  `PlacesGeoResources`
Since:
  Twitter4J 3.0.4

#### trends

    TrendsResources trends()

Returns:
  `TrendsResources`
Since:
  Twitter4J 3.0.4

#### spamReporting

    SpamReportingResource spamReporting()

Returns:
  `SpamReportingResource`
Since:
  Twitter4J 3.0.4

#### help

    HelpResources help()

Returns:
  `HelpResources`
Since:
  Twitter4J 3.0.4